# Melissa Releases

## Melissa Releases Overview ##
Melissa Releases allows you to securely and efficiently download data files, object binaries, and other collateral files from Melissa. This service enables you to automate the process of updating your data and APIs by scripting the download of specific files rather than downloading the entire zip archive. File versioning is also provided, if needed, making it easier to download historical data or builds.

Melissa Releases can be used to:

- Automate database updates.
- Check for updates for specific products.
- Securely download data files.
- Download only needed files, saving space and time.
- Download historical data as needed.

**Documentation**
- [Melissa Releases Documentation](https://docs.melissa.com/cloud-api/melissa-releases/melissa-releases-index.html)

**Useful Resources**
- [Melissa Releases Open API Specification GitHub](https://github.com/MelissaData/MelissaCloudAPI-OpenAPI-Specification/blob/main/openapi/apis/melissa-releases.yaml)

**Support Center**

[https://www.melissa.com/company/product-support](https://www.melissa.com/company/product-support)



## Servers

Melissa Releases Server
```
https://releases.melissadata.net
```

## Download OpenAPI description

[Melissa Releases](https://developer.melissa.com/_bundle/apis/melissa-releases.yaml)

## Use it from a Web Browser

Use this endpoint to view a list of files in a web browser.

### Using a Web Browser

 - [GET /Browse](https://developer.melissa.com/apis/melissa-releases/use-it-from-a-web-browser/usewebbrowser.md): After successful submission, you will be redirected to the online browser where you may select different releases and manifests from drop-down boxes. Be sure to include your Customer ID.

To access the site directly, use https://releases.melissadata.net/Browse.

## Download a Specific File

Use Download endpoints to download a specific file.

### Download Binary File

 - [GET /Download/Library/{os}/{compiler}/{architecture}/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/download-a-specific-file/downloadbinaryfile.md): Use this endpoint to download binary files. For example: Address Object DLLs for the latest engine improvements.

After successful submission, you will be redirected to an automatic file download.

### Download Data File

 - [GET /Download/Data/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/download-a-specific-file/downloaddatafile.md): Use this endpoint to download reference data files. For example: Address Object reference data, such as mdAddrKey files for fresh and new data.

After successful submission, you will be redirected to an automatic file download.

### Download Language Interface File

 - [GET /Download/Interface/{os}/{language}/{architecture}/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/download-a-specific-file/downloadinterfacefile.md): Use this endpoint to download language interface files. For example: Address Object .NET wrappers to interface with the DLLs.

After successful submission, you will be redirected to an automatic file download.

### Download Product File

 - [GET /Download/Product/{release}/{productname}](https://developer.melissa.com/apis/melissa-releases/download-a-specific-file/downloadproductfile.md): Use this endpoint to download product files.

After successful submission, you will be redirected to an automatic file download.

## Retrieve Available Release Version Numbers

Use Retrieve Release Version endpoints to get a list of all available release versions.

### Get Available Version Numbers for Binary File

 - [GET /Releases/Library/{os}/{compiler}/{architecture}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-available-release-version-numbers/retrieveversionbinary.md): Use this endpoint to retrieve a list of all available releases for a binary file, in the format YYYY.MM.

### Get Available Version Numbers for Data File

 - [GET /Releases/Data/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-available-release-version-numbers/retrieveversiondata.md): Use this endpoint to retrieve a list of all available releases for a data file, in the format YYYY.MM.

### Get Available Version Numbers for Language Interface File

 - [GET /Releases/Interface/{os}/{language}/{architecture}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-available-release-version-numbers/retrieveversioninterface.md): Use this endpoint to retrieve a list of all available releases for a language interface file, in the format YYYY.MM.

### Get Available Version Numbers for Manifest

 - [GET /ManifestReleases/{manifest}](https://developer.melissa.com/apis/melissa-releases/retrieve-available-release-version-numbers/retrieveversionmanifest.md): Use this endpoint to retrieve a list of all available releases for a manifest, in the format YYYY.MM.

### Get Available Version Numbers for Product File

 - [GET /Releases/Product/{productname}](https://developer.melissa.com/apis/melissa-releases/retrieve-available-release-version-numbers/retrieveversionproduct.md): Use this endpoint to retrieve a list of all available releases for a product file, in the format YYYY.MM.

## Retrieve a List of Files from a Specific Manifest

Use Retrieve Files from Manifest endpoints to get a list of download links for all files in a manifest.

### Get Files List from a Manifest

 - [GET /Manifest/{release}/{manifest}](https://developer.melissa.com/apis/melissa-releases/retrieve-a-list-of-files-from-a-specific-manifest/retrievelistoffilesmanifest.md): Use this endpoint to retrieve a list of download links for data or binary files within a manifest for a specific release, in the format YYYY.MM. This approach is recommended to ensure the retrieval of all of the latest files in the manifest(s) for a given product.

## Retrieve a List of Manifests from a Specific Release Version Number

Use Retrieve Manifests from Version Number endpoints to get a list of available manifests for a release version.

### Get Manifests List from Version Number

 - [GET /ManifestList/{release}](https://developer.melissa.com/apis/melissa-releases/retrieve-a-list-of-manifests-from-a-specific-release-version-number/retrievelistofmanifests.md): Use this endpoint to retrieve a list of available manifests for a given release.

## Retrieve Metadata for a Specific File

Use Retrieve Metadata endpoints to get the metadata of a specific file.

### Get Metadata for Binary File

 - [GET /Metadata/Library/{os}/{compiler}/{architecture}/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-metadata-for-a-specific-file/retrievemetadatabinary.md): Use this endpoint to retrieve metadata for a given binary file and release.

### Get Metadata for Data File

 - [GET /Metadata/Data/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-metadata-for-a-specific-file/retrievemetadatadata.md): Use this endpoint to retrieve metadata for a given data file and release.

### Get Metadata for Language Interface File

 - [GET /Metadata/Interface/{os}/{language}/{architecture}/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-metadata-for-a-specific-file/retrievemetadatainterface.md): Use this endpoint to retrieve metadata for a given language interface file and release.

### Get Metadata for Product File

 - [GET /Metadata/Product/{release}/{productname}](https://developer.melissa.com/apis/melissa-releases/retrieve-metadata-for-a-specific-file/retrievemetadataproduct.md): Use this endpoint to retrieve metadata for a given product file and release.

## Retrieve Hashes for a Specific File

Use Retrieve Hashes endpoints to get the hash of a specific file.

### Get Hash Value for Binary File

 - [GET /{hashtype}/Library/{os}/{compiler}/{architecture}/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-hashes-for-a-specific-file/retrievehashbinary.md): Use this endpoint to retrieve a hash of a specified type for a given binary file and release.

### Get Hash Value for Data File

 - [GET /{hashtype}/Data/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-hashes-for-a-specific-file/retrievehashdata.md): Use this endpoint to retrieve a hash of a specified type for a given data file and release.

### Get Hash Value for Language Interface File

 - [GET /{hashtype}/Interface/{os}/{language}/{architecture}/{release}/{filename}](https://developer.melissa.com/apis/melissa-releases/retrieve-hashes-for-a-specific-file/retrievehashinterface.md): Use this endpoint to retrieve a hash of a specified type for a given language interface file and release.

### Get Hash Value for Product File

 - [GET /{hashtype}/Product/{release}/{productname}](https://developer.melissa.com/apis/melissa-releases/retrieve-hashes-for-a-specific-file/retrievehashproduct.md): Use this endpoint to retrieve a hash of a specified type for a given product file and release.

